Subject: Re: [bug#28972] [PATCH] gnu: Remove unrar.

From: Leo Famulari <[email-masked]>
Date: Tue, 24 Oct 2017 16:25:52 -0400

On Tue, Oct 24, 2017 at 10:09:00PM +0200, nee wrote:
> Am 24.10.2017 um 21:07 schrieb ng0:
> > Leo Famulari transcribed 1.4K bytes:
> >> This package is abandoned upstream and contains serious bugs:
> > 
> > Oh oh. Do we have another package providing the binar(ies) and function
> > unrar has?
> > 
> Is anything actually using unrar?
> 
> grep -r unrar in guix-git/gnu/ gives me no relevant hits
> 
> I tried to add it as input for the mcomix package when I packaged
> mcomix, but it was unusable and couldn't open a single file.
> I remember that it behaved weird and unexpected and sometimes asked for
> passwords on stdin when the file wasn't encrypted.
> 
> It is very outdated and the rar standard it supports has been replaced
> around 15 years ago.

Agreed, I don't know if this software is useful anymore, and it isn't
used by any of our packages.

> The closest replacement that I know is libarchive, it's not a
> commandline utility like unrar, but it is used in  file-roller which can
> open some rars.

There is also the Python module packaged in Guix as python-rarfile.

Is anyone using this unrar package? Please speak up. And, please check
if file-roller will work for you.